__gnu_profile::__trace_base< __object_info, __stack_info >(3cxx)

NAME
__gnu_profile::__trace_base< __object_info, __stack_info > - Base class for all trace producers.

SYNOPSIS

  Public Member Functions

__object_info * __add_object (__stack_t __stack)
void __collect_warnings (__warning_vector_t &__warnings)
void __free ()
void __retire_object (__object_info *__info)
void __write (FILE *__f)

  Protected Attributes

const char * __id

Detailed Description

  template<typename __object_info, typename __stack_info>
class __gnu_profile::__trace_base< __object_info, __stack_info >" Base class for all trace producers.

Definition at line 190 of file profiler_trace.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.